Bug 172830 - HALD no longer auto-mounts usb devices (as of RHEL4-U2)
HALD no longer auto-mounts usb devices (as of RHEL4-U2)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-11-10 00:38 EST by Greg Hosler
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0049
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:13:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Hosler 2005-11-10 00:38:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
Prior to RHEL4-U2, when plugging in a usb device, the partitions would be auto-mounted under /media.

As of (approximately) RHEL4, U2, this is no longer the case.

The mount points are created, but the partitions are not mounted.

I am noting that the hald package itselc did not change between U0 and present, so the bug is possibly not in the hald package, but perhaps is in a dependent library/package.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RHEL4-U2
2. plug in a usb device.
3. It won't automount.

  

Actual Results:  it doesn't automount

Expected Results:  It should have automounted.

Additional info:
Comment 1 Greg Hosler 2005-11-14 11:06:17 EST
This problem seems related to the
selinux-policy-targeted/selinux-policy-targeted-sources errata update.

If I apply the selinux-policy-targeted/selinux-policy-targeted-sources errata
(1.17.30-2.110), then HALD no longer automounts. If I revert back to the U0
version (1.17.30-2.52.1), and reboot, then the original behaviour of
automounting usb hard drives when plugged in is restored.

so apparently there is a glitch in the selinux-policy-targeted (or sources) rule
set.

best rgds,

-Greg
Comment 2 John (J5) Palmieri 2005-11-15 09:08:28 EST
A bunch of policy has been fixed for the u3 update.  You can get the prerelease
packages here:

ftp://people.redhat.com/dwalsh/SELinux/RHEL4/u3

Check if that solves your problem.
Comment 3 Russell Coker 2005-11-21 09:08:03 EST
selinux-policy-targeted-1.17.30-2.118.noarch.rpm (from Dan's site above) fixes 
this with the following patch: 
 
diff -ru targeted.mine/src/policy/domains/program/initrc.te 
targeted/src/policy/domains/program/initrc.te 
--- targeted.mine/src/policy/domains/program/initrc.te  2005-09-13 
03:26:49.000000000 +1000 
+++ targeted/src/policy/domains/program/initrc.te       2005-11-10 
02:28:52.000000000 +1100 
@@ -271,8 +282,11 @@ 
 typealias bin_t alias run_init_exec_t; 
 type run_init_t, domain; 
 domain_auto_trans(unconfined_t, initrc_exec_t, initrc_t) 
+allow unconfined_t initrc_t:dbus { acquire_svc send_msg }; 
+allow initrc_t unconfined_t:dbus { acquire_svc send_msg }; 
 domain_trans(initrc_t, shell_exec_t, unconfined_t) 
 allow initrc_t unconfined_t:system syslog_mod; 
+role sysadm_r types initrc_t; 
 ', ` 
 ################################# 
 # 
 
Comment 6 Red Hat Bugzilla 2006-03-07 13:13:57 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0049.html

Note You need to log in before you can comment on or make changes to this bug.